<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title></title>
	<link rel="stylesheet" href="css/style.css">
</head>

<body>
		{% for collection in collections %}
		<span class="texte_tag_filtre">{{ collection.data.name }}</span>
		{% endfor %}

	<ul id="liste">
		{% for doc in documents %}
		<li class="document" >

			<!--  TITRE -->
			<div class="title">

				<!--  lien vers URL -->
				{% if doc.data.url %}
					<a href=" {{ doc.data.url }}">{{ doc.data.title}}</a>

				{% else %}
					{{ doc.data.title }}

				{% endif %}
			</div>

			<!--  INFOS sous le titre -->
			<div class="infos">

				<!--  type de document (traduction en français avec le filtre replace) -->
				<span>
				{{ doc.data.itemType | replace("webpage", "page web") | replace("thesis", "thèse") | replace("computerProgram", "programme informatique") | replace("book", "livre") | replace("blogPost", "billet de blog") | replace ("videoRecording", "enregistrement vidéo") | replace ("journalArticle", "article de journal") | replace ("forumPost", "post de forum") | replace("livreSection", "chapitre de") }}

				<!--  titre du livre si chapitre de livre -->
				{% if doc.data.bookTitle%}
				{{doc.data.bookTitle}}
				{% endif %}
				</span>

				<!--  maison d'édition -->
				{% if doc.data.publisher %}
				<span>
					({{ doc.data.publisher }})
				</span>
				{% endif %}

				<!-- titre du blog  -->
				{% if doc.data.blogTitle %}
				<span>
					({{ doc.data.blogTitle }})
				</span>
				{% endif %}

				<!-- titre du site  -->
				{% if doc.data.websiteTitle %}
				<span>
					({{ doc.data.websiteTitle }})
				</span>
				{% endif %}

				<!-- titre du journal  -->
				{% if doc.data.publicationTitle %}
				<span>
					({{ doc.data.publicationTitle }})
				</span>
				{% endif %}

				<!--  date -->

				<!--  langue (traduction en français avec le filtre replace)-->
				{% if doc.data.language %}
					<span class="langue">
						| {{ doc.data.language|replace("fre", "fr")|replace("French", "fr")|upper }}
					</span>
				{% endif %}
			</div>

			<!--  CREATEURICES -->
			{% for creator in doc.data.creators %}
			<ul class="creators">
				<li>
					{{ creator.firstName }} {{ creator.lastName }}
					<!--  type de créateurice (traduction en français avec le filtre replace) -->
					({{ creator.creatorType|replace("author", "auteur.ice")|replace("director", "metteur.euse en scène") |replace("translator", "traducteur.ice") | replace("editor", "éditeur.ice") }})
				</li>
			</ul>
			{% endfor %}

			<!--  MOTS CLES -->
			<div class="taglist">
				{% for col in collections %}
				{% if col.key == doc.data.collections[0] %}
				 <span class="tag">{{ col.data.name }}</span>
				 {% endif %}
				{% endfor %}

      {% else %}

      <div class="notags">

      </div>

			<!--  RESUME -->
			{% if doc.data.abstractNote %}
			<div id="abstractNote">

					<!--  si moins de 30 mots afficher en entier -->
					{% if doc.data.abstractNote|wordcount < 30 %}
						<div class="boite-courte">résumé : {{doc.data.abstractNote}}</div>

					<!--  si plus de 30 mots dans un toggle -->
					{% else %}
						<details>
							<summary>

								<!--  toggle fermé : afficher les 150 premiers caractères -->
								résumé : <span>{{doc.data.abstractNote|truncate(150)}}</span>
							</summary>
							<div>{{doc.data.abstractNote}}</div>
						</details>

					{% endif %}
			</div>
			{% endif %}

			<!--  NOTES -->
			<div id="notes">
				{% for note in doc.attachments %}

					<!--  si moins de 30 mots afficher en entier -->
					{% if note.data.note|wordcount < 30 %}
					<div class="boite-courte"> note : {{ note.data.note}}</div>

					<!--  si plus de 30 mots dans un toggle -->
					{% else %}
						<details>
							<summary>

								<!--  toggle fermé : afficher les 150 premiers caractères (filtre striptags : enlève les balises html) -->
								note : <span>{{note.data.note|truncate(150)|striptags}}</span>
							</summary>
							<div>{{note.data.note}}</div>
						</details>
					{% endif %}

				{% endfor %}
			</div>

		</li>
		{% endfor %}
	</ul>
	<script src="js/main.js" ></script>
</body>

</html>
